import jagdx.IUnknown;

public abstract class Class329 implements Interface4 {

   long aLong4078 = 0L;
   Class98 aClass98_4079;
   Class545_Sub2_Sub1 aClass545_Sub2_Sub1_4080;
   boolean aBool4081;
   Class91 aClass91_4082;


   void method6065() {
      this.method6067();
   }

   long method6066() {
      return this.aLong4078;
   }

   public void method224(Class353 var1) {}

   public void method10() {
      if(this.aLong4078 != 0L) {
         IUnknown.Release(this.aLong4078);
         this.aLong4078 = 0L;
      }

      this.aClass545_Sub2_Sub1_4080.method15169(this);
   }

   void method6067() {
      if(this.aLong4078 != 0L) {
         this.aClass545_Sub2_Sub1_4080.method15858(this.aLong4078);
         this.aLong4078 = 0L;
      }

   }

   public void finalize() {
      this.method6067();
   }

   public void method8() {
      if(this.aLong4078 != 0L) {
         IUnknown.Release(this.aLong4078);
         this.aLong4078 = 0L;
      }

      this.aClass545_Sub2_Sub1_4080.method15169(this);
   }

   public void method9() {
      if(this.aLong4078 != 0L) {
         IUnknown.Release(this.aLong4078);
         this.aLong4078 = 0L;
      }

      this.aClass545_Sub2_Sub1_4080.method15169(this);
   }

   long method6068() {
      return this.aLong4078;
   }

   Class329(Class545_Sub2_Sub1 var1, Class98 var2, Class91 var3, boolean var4, int var5) {
      this.aClass545_Sub2_Sub1_4080 = var1;
      this.aClass98_4079 = var2;
      this.aClass91_4082 = var3;
      this.aBool4081 = var4;
      this.aClass545_Sub2_Sub1_4080.method15120(this);
   }

   void method6069() {
      this.method6067();
   }

   public void method225(Class353 var1) {}

   long method6070() {
      return this.aLong4078;
   }

   long method6071() {
      return this.aLong4078;
   }

   void method6072() {
      this.method6067();
   }

   void method6073() {
      if(this.aLong4078 != 0L) {
         this.aClass545_Sub2_Sub1_4080.method15858(this.aLong4078);
         this.aLong4078 = 0L;
      }

   }
}
